# Bakery::Dialog_Preferences Class Reference

Preferences Dialog In the Glade file:

- The vbox should contain a widget called "vbox".

More...

`#include <Dialog_Preferences.h>`

Inheritance diagram for Bakery::Dialog_Preferences:

[legend]

List of all members.

## Public Member Functions

| Dialog_Preferences (Gtk::Window &parent, const Glib::ustring &configuration_directory, const Glib::ustring &glade_filename, const Glib::ustring &widget_name="vbox", bool instant=false)
| if instant is true then this will be an instant-apply preference dialog.
virtual | ~Dialog_Preferences ()
virtual void | load (std::auto_ptr< Glib::Error > &error)
virtual void | save (std::auto_ptr< Glib::Error > &error)

## Protected Member Functions

virtual void | on_button_help ()
virtual void | connect_widget (const Glib::ustring &key, const Glib::ustring &glade_widget_name)
virtual void | on_show ()
virtual void | on_hide ()
virtual void | on_response (int response_id)

## Protected Attributes

Gtk::Button | m_Button_Close
Gtk::Button | m_Button_Cancel
Gtk::Button | m_Button_Help
bool | m_instant
Glib::RefPtr< Gnome::Glade::Xml > | m_refGlade
Bakery::Conf::Client * | m_pConfClient

## Detailed Description

Preferences Dialog In the Glade file:

- The vbox should contain a widget called "vbox".

Use connect_widget(conf_key, widget_name) in the constructor.

This is the base class for preferences dialogs and supports only Gtk widgets. The Dialog_Preferences_GnomeUI class in the bakery_gnomeui module supports Gnome::UI widgets in addition to Gtk widgets.

## Constructor & Destructor Documentation

Bakery::Dialog_Preferences::Dialog_Preferences | ( | Gtk::Window & | parent,
|  | const Glib::ustring & | configuration_directory,
|  | const Glib::ustring & | glade_filename,
|  | const Glib::ustring & | widget_name = `"vbox"`,
|  | bool | instant = `false` |
| ) |  |  |

if instant is true then this will be an instant-apply preference dialog.

virtual Bakery::Dialog_Preferences::~Dialog_Preferences | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Bakery::Dialog_Preferences::load | ( | std::auto_ptr< Glib::Error > & | error | ) | `[virtual]`

virtual void Bakery::Dialog_Preferences::save | ( | std::auto_ptr< Glib::Error > & | error | ) | `[virtual]`

virtual void Bakery::Dialog_Preferences::on_button_help | ( |  | ) | `[protected, virtual]`

virtual void Bakery::Dialog_Preferences::connect_widget | ( | const Glib::ustring & | key,
|  | const Glib::ustring & | glade_widget_name |
| ) |  |  | `[protected, virtual]`

virtual void Bakery::Dialog_Preferences::on_show | ( |  | ) | `[protected, virtual]`

Reimplemented from Gtk::Widget.

virtual void Bakery::Dialog_Preferences::on_hide | ( |  | ) | `[protected, virtual]`

Reimplemented from Gtk::Widget.

virtual void Bakery::Dialog_Preferences::on_response | ( | int | response_id | ) | `[protected, virtual]`

Reimplemented from Gtk::Dialog.

## Member Data Documentation

Gtk::Button Bakery::Dialog_Preferences::m_Button_Close `[protected]`

Gtk::Button Bakery::Dialog_Preferences::m_Button_Cancel `[protected]`

Gtk::Button Bakery::Dialog_Preferences::m_Button_Help `[protected]`

bool Bakery::Dialog_Preferences::m_instant `[protected]`

Glib::RefPtr<Gnome::Glade::Xml> Bakery::Dialog_Preferences::m_refGlade `[protected]`

Bakery::Conf::Client* Bakery::Dialog_Preferences::m_pConfClient `[protected]`

The documentation for this class was generated from the following file:

- Dialog_Preferences.h